
#ifndef _1_CRYS_Ext_ATP_TST_main_h_H
#define _1_CRYS_Ext_ATP_TST_main_h_H

/*
 * All the includes that are needed for code using this module to
 * compile correctly should be #included here.
 */


#ifdef __cplusplus
extern "C"
{
#endif

  /*
   *  Object %name    : %
   *  State           :  %state%
   *  Creation date   :  Thu Feb 17 10:22:02 2005
   *  Last modified   :  %modify_time%
   */
  /** @file
   *  \brief A brief description of this module
   *
   *  \version CRYS_Ext_ATP_TST_main.h#1:incl:1
   *  \author doronp
   *  \remarks Copyright (C) 2007 by Discretix Technologies Ltd.
   *           All Rights reserved
   */

/******** Defines ***********/
/******** Enums ***********/
/********* Typedefs  **********/
/******** Structs  **********/
/******** Public Variables ********/
/******** Public Functions ********/
/***** Extern function prototype *********/

/*General*/
extern void CRYS_ExtApp_ATP_AES_main(void);

extern void CRYS_ExtApp_ATP_HASH_main(void);
extern void CRYS_ExtApp_ATP_DES_main(void);
extern void CRYS_ExtApp_ATP_HMAC_main(void);
extern void CRYS_ExtApp_ATP_RSA_main(void);
extern void CRYS_ExtApp_ATP_RC4_main(void);
extern void CRYS_ExtApp_ATP_ECC_main(void);
extern void CRYS_ExtApp_ATP_DH_main(void);
extern void CRYS_ExtApp_ATP_RND_main(void);


extern CRYSError_t CRYS_ExtApp_ATP_menu(void);
extern CRYSError_t SST_ExtApp_ATP_menu(void);
extern CRYSError_t KMNG_ExtApp_ATP_menu(void);

extern DxError_t CRYS_Ext_ATP_TST_RunAllAcceptance_tests(DxUint32_t TST_KeyGeneration_TestStatus);
extern DxError_t SST_Ext_ATP_TST_SST_Acceptance_ALL_TESTS(void);

extern DxError_t KMNG_ExtAPP_ATP_Run_All_ATP_Tests(void);

#ifdef __cplusplus
}
#endif

#endif


